
Robotics Service Bus - Bug #1297
Failing tests in rsb-integration-tests
12/12/2012 03:34 PM - S. Wrede

Status: Resolved Start date: 12/12/2012
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Language Integration Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Currently, a number of tests in the integration test suite fail after I made it compile again, cf.:
https://ci.cor-lab.de/view/rsb-trunk/job/rsb-integrationtest-trunk/1796/testReport/?

This could be related to #1293 but I would wonder why?

History
#1 - 12/12/2012 03:45 PM - J. Moringen

Tests involving Python sometimes run into timeouts.

The Java-related failures on the lucid64 slave are probably caused by not finding the protobuf.jar:

Exception in thread "main" java.lang.NoClassDefFoundError: com/google/protobuf/MessageOrBuilder
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
    at rsb.converter.EventIdConverter.<init>(EventIdConverter.java:44)
    at rsb.converter.DefaultConverters.register(DefaultConverters.java:46)
    at rsb.Factory.<init>(Factory.java:51)
    at rsb.Factory.<clinit>(Factory.java:45)
    at informer.main(informer.java:46)
Caused by: java.lang.ClassNotFoundException: com.google.protobuf.MessageOrBuilder
https://ci.cor-lab.de/view/rsb-trunk/job/rsb-integrationtest-trunk/1796/testReport/


    at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
    ... 27 more

#2 - 08/02/2013 04:44 AM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Wienke
- % Done changed from 0 to 80

Seems to mostly resolved by our recent socket transport improvements.

@Johannes: there are 14 remaining test failures due Python SpreadModule not being installed on the quantal64 slave. Can you install it? I don't know
how where to obtain the correct revision.

#3 - 08/02/2013 01:00 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 80 to 100

Done with gar installer in /vol/default and setting SPREAD_PYTHON_ROOT for the slave.
